### Constructor

# EDataServerUI4 CredentialsPrompter new

since: 3.16

#### Declaration [src]

    ECredentialsPrompter*
    e_credentials_prompter_new (
      ESourceRegistry* registry
    )

#### Description [src]

Creates a new `ECredentialsPrompter`, which listens for credential requests from `registry`.

Available since: 3.16

#### Parameters

`registry`

  Type: `ESourceRegistry`

  An `ESourceRegistry` to have the prompter listen to.

  The data is owned by the caller of the function.

#### Return value

Type: `ECredentialsPrompter`

A new `ECredentialsPrompter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.